BitFuFu, Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/bitfufu-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitfufu-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1767744000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2026/01/07/3214474/0/en/BitFuFu-Announces-December-2025-Bitcoin-Production-and-Operational-Updates.html?_gl=1*1tajny*_up*MQ..*_ga*MTc0OTM0NDI3MS4xNzY3NzkwOTY1*_ga_ERWPGTJ5X8*czE3Njc3OTA5NjQkbzEkZzAkdDE3Njc3OTA5NjQkajYwJGwwJGgw",
    "holding_balance": 1780.0,
    "holding_net_change": 16.0,
    "transaction_value_usd": 1460015.84,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1770249600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2026/02/05/3232973/0/en/BitFuFu-Announces-January-2026-Bitcoin-Production-and-Operational-Updates.html?_gl=1*1ycbd2b*_up*MQ..*_ga*MTA0MzQzOTYyNS4xNzc1NzI3NDI4*_ga_B6167QB2TF*czE3NzU3Mjc0MjckbzEkZzAkdDE3NzU3Mjc1NDUkajYwJGwwJGgw*_ga_ERWPGTJ5X8*czE3NzU3Mjc0MjckbzEkZzAkdDE3NzU3Mjc1NDUkajYwJGwwJGgw",
    "holding_balance": 1796.0,
    "holding_net_change": 16.0,
    "transaction_value_usd": 1005882.08,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1772668800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2026/03/05/3250129/0/en/BitFuFu-Announces-February-2026-Bitcoin-Production-and-Operational-Updates.html",
    "holding_balance": 1830.0,
    "holding_net_change": 34.0,
    "transaction_value_usd": 2410475.22,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitfufu-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1830.0
  ],
  [
    1779062400000,
    1830.0
  ],
  [
    1779148800000,
    1830.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/bitfufu-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    141696643.8
  ],
  [
    1779062400000,
    140808014.1
  ],
  [
    1779148800000,
    140470818.3
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/bitfufu-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.98,
    "date": "2026-05-15",
    "high": 2.12,
    "open": 2.12,
    "close": 2.03,
    "volume": 171500
  },
  {
    "low": 1.83,
    "date": "2026-05-18",
    "high": 2.015,
    "open": 2.0,
    "close": 1.92,
    "volume": 240900
  },
  {
    "low": 1.89,
    "date": "2026-05-19",
    "high": 1.99,
    "open": 1.9,
    "close": 1.9,
    "volume": 156315
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/bitfufu-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0.02,
  "quarterly_earnings_growth": 76.836,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitfufu-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -16.3,
  "six_month_return": -40.25,
  "three_month_return": -12.84
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitfufu-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 43.9,
  "total_btc_percentage": 0.009,
  "share_price_change_state": "down"
}